terraform {
  required_version = ">= 1.0"
  required_providers {
    tailscale = {
      source  = "tailscale/tailscale"
      version = "0.13.11"
    }

    ignition = {
      source  = "community-terraform-providers/ignition"
      version = "2.2.2"
    }

    macaddress = {
      source  = "ivoronin/macaddress"
      version = "0.3.2"
    }
    matchbox = {
      source  = "poseidon/matchbox"
      version = "0.5.2"
    }
    talos = {
      source  = "siderolabs/talos"
      version = "0.4.0-alpha.0"
    }
    b2 = {
      source  = "Backblaze/b2"
      version = "0.8.6"
    }
  }
}

provider "b2" {
}


provider "matchbox" {
  endpoint    = var.matchbox_rpc_endpoint
  client_cert = file("~/.matchbox/client.crt")
  client_key  = file("~/.matchbox/client.key")
  ca          = file("~/.matchbox/ca.crt")
}
provider "talos" {
}

provider "tailscale" {
}
