resource "b2_bucket" "cowley-tech-home-backup" {
  bucket_name = "cowley-tech-k3s-logs"
  bucket_type = "allPrivate"
}

resource "b2_application_key" "loki" {
  key_name = "cowley-tech-k3s-logs"
  bucket_id = b2_bucket.cowley-tech-home-backup.id
  capabilities       = [
        "deleteFiles",
        "listBuckets",
        "listFiles",
        "readBuckets",
        "readFiles",
        "writeFiles",
    ]
}

resource "kubernetes_secret" "b2-loki" {
  metadata {
    name = "b2-loki-credentials"
    namespace = "logging"
  }
  data = {
    B2_APPLICATION_KEY_ID = b2_application_key.loki.application_key_id
    B2_APPLICATION_KEY = b2_application_key.loki.application_key
  }
}
