resource "b2_bucket" "cowley-tech-home-backup" {
  bucket_name = "cowley-tech-home-backup"
  bucket_type = "allPrivate"
}

resource "b2_application_key" "user" {
  for_each = toset(["timothy", "nicolas"])

  key_name = "cowley-tech-${each.key}-backup"
  bucket_id = b2_bucket.cowley-tech-home-backup.id
  capabilities       = [
        "deleteFiles",
        "listBuckets",
        "listFiles",
        "readBuckets",
        "readFiles",
        "writeFiles",
    ]
}

resource "b2_application_key" "admin" {

  key_name = "cowley-tech-admin-backup"
  bucket_id = b2_bucket.cowley-tech-home-backup.id
  capabilities       = [
        "deleteFiles",
        "listBuckets",
        "listFiles",
        "readBuckets",
        "readFiles",
        "writeFiles",
    ]
}
#
#resource "kubernetes_secret" "b2-loki" {
#  metadata {
#    name = "b2-loki-credentials"
#    namespace = "logging"
#  }
#  data = {
#    B2_APPLICATION_KEY_ID = b2_application_key.loki.application_key_id
#    B2_APPLICATION_KEY = b2_application_key.loki.application_key
#  }
#}
